//	PastarenaGlobalData.cpp - The game's global data.
//  ----------------------------------------------------------------------------
//	This file is part of 'NiallsAVLib', base code for any kind of audiovisual
//	apps.
//	Copyright (C) 2012  Niall Moody
//	
//	This program is free software: you can redistribute it and/or modify
//	it under the terms of the GNU General Public License as published by
//	the Free Software Foundation, either version 3 of the License, or
//	(at your option) any later version.
//
//	This program is distributed in the hope that it will be useful,
//	but WITHOUT ANY WARRANTY; without even the implied warranty of
//	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//	GNU General Public License for more details.
//
//	You should have received a copy of the GNU General Public License
//	along with this program.  If not, see <http://www.gnu.org/licenses/>.
//	----------------------------------------------------------------------------

#include "PastarenaGlobalData.h"
#include "AppSettings.h"
#include "FilePath.h"
#include "UTF8File.h"

#include <sstream>
#include <string>

//	----------------------------------------------------------------------------
PastarenaGlobalData::PastarenaGlobalData():
highScore(0),
lastScore(0)
{
	FilePath scorePath = FilePath::getAppDataPath().getChild(AppSettings::applicationName).getChild(L"highScores.txt");

	if(scorePath.exists())
	{
		std::wstring tempstr;
		std::wstringstream tempstr2;
		UTF8File scoreFile(scorePath);

		scoreFile.readLine(tempstr);
		tempstr2 << tempstr;
		tempstr2 >> highScore;

		tempstr2.clear();
		tempstr2.str(L"");
		scoreFile.readLine(tempstr);
		tempstr2 << tempstr;
		tempstr2 >> lastScore;
	}
}

//	----------------------------------------------------------------------------
PastarenaGlobalData::~PastarenaGlobalData()
{
	std::wstringstream tempstr;
	FilePath scorePath = FilePath::getAppDataPath().getChild(AppSettings::applicationName).getChild(L"highScores.txt");
	UTF8File scoreFile(scorePath);

	tempstr << highScore << std::endl << lastScore << std::endl;
	scoreFile.writeText(tempstr.str());
}

//	----------------------------------------------------------------------------
void PastarenaGlobalData::setHighScore(int val)
{
	highScore = val;
}

//	----------------------------------------------------------------------------
void PastarenaGlobalData::setLastScore(int val)
{
	lastScore = val;
}
