//	PastarenaGlobalData.h - The game's global data.
//  ----------------------------------------------------------------------------
//	This file is part of 'NiallsAVLib', base code for any kind of audiovisual
//	apps.
//	Copyright (C) 2012  Niall Moody
//	
//	This program is free software: you can redistribute it and/or modify
//	it under the terms of the GNU General Public License as published by
//	the Free Software Foundation, either version 3 of the License, or
//	(at your option) any later version.
//
//	This program is distributed in the hope that it will be useful,
//	but WITHOUT ANY WARRANTY; without even the implied warranty of
//	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//	GNU General Public License for more details.
//
//	You should have received a copy of the GNU General Public License
//	along with this program.  If not, see <http://www.gnu.org/licenses/>.
//	----------------------------------------------------------------------------

#ifndef PASTARENAGLOBALDATA_H_
#define PASTARENAGLOBALDATA_H_

#include "GameCounter.h"
#include "GlobalData.h"

///	The game's global data.
class PastarenaGlobalData : public GlobalData
{
  public:
	///	Constructor.
	PastarenaGlobalData();
	///	Destructor.
	~PastarenaGlobalData();

	///	Returns the game counter.
	GameCounter& getGameCounter() {return gameCounter;};

	///	Sets the high score.
	void setHighScore(int val);
	///	Sets the last score.
	void setLastScore(int val);

	///	Returns the high score.
	int getHighScore() const {return highScore;};
	///	Returns the last score.
	int getLastScore() const {return lastScore;};
  private:
	///	The game's game counter.
	GameCounter gameCounter;

	///	The game's high score.
	int highScore;
	///	The game's last score.
	int lastScore;
};

#endif
